Page MenuHomePhabricator

Write a guide on how to test performance locally before pushing changes
Closed, ResolvedPublic

Event Timeline

Gilles created this task.Sep 7 2017, 8:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2017, 8:42 AM
Peter added a comment.Oct 6 2017, 10:02 AM

I've started to add the standard browsers APIs we use, just to have a default place to look: https://wikitech.wikimedia.org/wiki/Measure_Performance

Tested all the instructions and fixed a little thing, it's all good.

@Krinkle LGTM. Also made a few minor contributions.

Two suggestions:

  1. Elaborate the code examples slightly so that the properties are printed in a consistent order (easier for comparison).
  2. Maybe add a few deltas as well, similar to the navtiming2 properties we have in Graphite.
Krinkle triaged this task as Medium priority.Nov 17 2017, 2:52 AM
Krinkle updated the task description. (Show Details)Nov 20 2017, 10:27 PM
Peter closed this task as Resolved.Dec 20 2017, 8:40 AM
Peter added a project: Documentation.

I've added an example of how to also run the WebPageReplay tests locally. Think we are done here for now, let me close the issue.